<?
//header("Content-Type: application/xhtml+xml; charset=iso-8859-1");
header("Content-Type: text/html; charset=utf-8");
use_helper('UrlFunctions');

$o_class = new Cr_pedido_prestamoFN(); 

if(myUser::getUser()->getRoleId()=="sys.ope"){
	$idColaborador = myUser::getUser()->getIdColaborador();
}elseif(myUser::getUser()->getRoleId()=="sys.res"){
	$idPadre = myUser::getUser()->getIdColaborador();
	//Busco sus hijo
	$o_ColaboradorBean_Temp = new ColaboradorBean();
  	$o_ColaboradorBean_Temp->setIdPadre($idPadre);
	$o_ColaboradorDP_Temp = new ColaboradorDP($o_ColaboradorBean_Temp);
	$a_o_idColaborador = $o_ColaboradorDP_Temp->select();
	if(is_array($a_o_idColaborador)){
		foreach($a_o_idColaborador as $key => $o_idColaborador){
			$a_idColaborador[] = $o_idColaborador->getIdColaborador();	
		}
	}
}elseif(myUser::getUser()->getRoleId()=="sys.sec"){
	$o_ColaboradorBean_Temp = new ColaboradorBean();
  	$o_ColaboradorBean_Temp->setIdColaborador(myUser::getUser()->getIdColaborador());
	$o_ColaboradorDP_Temp = new ColaboradorDP($o_ColaboradorBean_Temp);
	$a_o_idColaborador = $o_ColaboradorDP_Temp->select();
	if(is_array($a_o_idColaborador)){
		foreach($a_o_idColaborador as $key => $o_idColaborador){
			$idPadre = $o_idColaborador->getIdPadre();	
		}
	}
	//Busco sus hijo
	$o_ColaboradorBean_Temp = new ColaboradorBean();
  	$o_ColaboradorBean_Temp->setIdPadre($idPadre);
	$o_ColaboradorDP_Temp = new ColaboradorDP($o_ColaboradorBean_Temp);
	$a_o_idColaborador = $o_ColaboradorDP_Temp->select();
	if(is_array($a_o_idColaborador)){
		foreach($a_o_idColaborador as $key => $o_idColaborador){
			$a_idColaborador[] = $o_idColaborador->getIdColaborador();	
		}
	}
}

if( $IdPedido != "")   { $o_class->setIdpedido( $IdPedido ); }
if( $IdCliente != "")  { $o_class->setIdCliente( $IdCliente ); }
if( $cboMercado != "") { $o_class->setIidMercado( $cboMercado ); }
if($cboEstado   	!=""){ $o_class->setEstado($cboEstado); }
if( $txtFechaIni != "" )  { $o_class->addCondition( Cr_pedido_prestamoFN::FechaTransaccion , ">=", "'".$txtFechaIni."'",false ); }
if( $txtFechaFin != "" )  { $o_class->addCondition( Cr_pedido_prestamoFN::FechaTransaccion, "<=", "'".$txtFechaFin."'",false ); }


if(is_array($a_idColaborador)){
	 $o_class->addCondition( Cr_pedido_prestamoFN::IdColaborador, "in", "('".implode("','",$a_idColaborador)."')" );
}
if( $idColaborador != "" )  { $o_class->setIdColaborador( $idColaborador );}


if( !isset( $sortCampos ) ){ $sortCampos = ""; }
if( !isset( $sortType ) ){ $sortType     = ""; }

$o_class->setEliminado( -1 );

$valuesSort = array('sortCampos'=>$sortCampos, 'sortType'=>$sortType);

if( $sortCampos != "" )
{
    $a_Campos = explode( ";", $sortCampos );
    $a_Tipos = explode( ";", $sortType );
    foreach ( $a_Campos as $i_Key => $s_Values )
    {
        switch ( $s_Values )
        {
            case "NumeroDocumento": if( $a_Tipos[$i_Key] == "1" ){ $o_class->addOrderBy( Wf_trx_documento_cabFN::NumeroDocumento, true ); } else { $o_class->addOrderBy( Wf_trx_documento_cabFN::NumeroDocumento, false ); } break;
            case "DescripcionIdentificacion": if( $a_Tipos[$i_Key] == "1" ){ $o_class->addOrderBy( Wf_trx_documento_cabFN::DescripcionIdentificacion, true ); } else { $o_class->addOrderBy( Wf_trx_documento_cabFN::DescripcionIdentificacion, false ); } break;
            case "FechaEmision": if( $a_Tipos[$i_Key] == "1" ){ $o_class->addOrderBy( Wf_trx_documento_cabFN::FechaEmision, true ); } else { $o_class->addOrderBy( Wf_trx_documento_cabFN::FechaEmision, false ); } break;
            case "MontoTotal": if( $a_Tipos[$i_Key] == "1" ){ $o_class->addOrderBy( Wf_trx_documento_cabFN::MontoTotal, true ); } else { $o_class->addOrderBy( Wf_trx_documento_cabFN::MontoTotal, false ); } break;
        }
    }
}
else 
{
    $o_class->addOrderBy( Cr_pedido_prestamoFN::Idpedido, true );
}

$tamanioPag = 15;
if( !isset( $page ) ) $page = 1;
$limitInf = ( $page - 1 ) * $tamanioPag;

$a_ObjectBean = $o_class->select( $limitInf, $tamanioPag );
$i_NumReg     = $o_class->selectNumRows();
$a_f_suma     = $o_class->selectSuma();

$o_navigation = new navigation();
$o_navigation->setPaginaActual( $page );
$o_navigation->setTamanioPagina( $tamanioPag );
$o_navigation->setTotalRegistros( $i_NumReg );
//echo "<pre>"; print_r( $a_ObjectBean ); echo "</pre>";
ViewResponse::getInstance()->setMethodAjax();
?>
<script>
functionSort = function(campo, type){
  var typeSort      = "";
  var elmSortCampos = $('sortCampos');
  var elmSortType   = $('sortType');
  var a_sortCampos  = elmSortCampos.value!=""?elmSortCampos.value.split(";"):[];
  var a_sortType    = elmSortType.value!=""?elmSortType.value.split(";"):[];
  var pos           = a_sortCampos.indexOf(campo);
  switch (type){
     case 'A' :
       a_sortType[pos]    = "2";
     break;
     case 'D' :
       a_sortCampos = sliceByPos(a_sortCampos, pos);
       a_sortType   = sliceByPos(a_sortType, pos);
     break;
     default :
       a_sortCampos[a_sortCampos.length] = campo;
       a_sortType[a_sortType.length]     = "1";
     break;
  }
  var strSortCampos = a_sortCampos.join(";");
  var strSortType   = a_sortType.join(";");
  concatValueStr('sortCampos='+strSortCampos+'&sortType='+strSortType+"&page=<?=$page?>");
}
</script>

<?php

$strConcat = "sortCampos=".$valuesSort['sortCampos']."&sortType=".$valuesSort['sortType'];

function showImgOrder($valuesSort, $campo, $nameCampos){
  $a_valCampos = explode(";", $valuesSort['sortCampos']);
  $a_valtype   = explode(";", $valuesSort['sortType']);
  $sImg = "
            <a href=\"JavaScript:functionSort('".$campo."', '');\">".$nameCampos."</a>
            <img src=\"/images/common/buttons/arrow.gif\" alt=\"Ordenado Ascendente\" width=\"8\" height=\"10\" align=\"absmiddle\" />
          ";
  foreach ($a_valCampos as $key => $val){
    if($val == $campo){
      switch ($a_valtype[$key]){
        case 1:
          $sImg = "
                    <a href=\"JavaScript:functionSort('".$campo."', 'A');\">".$nameCampos."</a>
                    <img src=\"/images/common/buttons/arrow_up.gif\" alt=\"Ordenado Ascendente\" width=\"8\" height=\"10\" align=\"absmiddle\" />
                  ";
        break;
        case 2:
          $sImg = "
                    <a href=\"JavaScript:functionSort('".$campo."', 'D');\">".$nameCampos."</a>
                    <img src=\"/images/common/buttons/arrow_down.gif\" alt=\"Ordenado Ascendente\" width=\"8\" height=\"10\" align=\"absmiddle\" />
                  ";
        break;
      }
    }
  };
  return $sImg;
}
?>

<input type="hidden" id="sortCampos" size="100" value="<?=$valuesSort['sortCampos']?>">
<input type="hidden" id="sortType" size="100" value="<?=$valuesSort['sortType']?>">
<table class="marco" border="0" cellpadding="0" cellspacing="0" width="100%">
<tr>
  <td height="17" align="right" class="pager">
    <div id="contenedor">
      <? $o_navigation->ContruirHTMLNavigation('contenedor', $strConcat); ?>
    </div>
  </td>
</tr>
<tr>
  <td>
    <table class="grid" width="100%" border="0" cellpadding="0" cellspacing="0">
      <tr height="35">
        <th width="2%" >&nbsp;</th>
        <th width="5%" align="center">Nro Cliente</th> 
        <th width="20%" align="center">Cliente</th> 
		<th width="5%"  align="center" >Nro Pedido</th>
        <th width="5%" align="center">Fecha</th>
        <th width="5%" align="center">Hora</th>
        <th width="5%" align="center">Monto</th>
        <th width="5%" align="center">Monto Final</th>
        <th width="5%" align="center">Estado</th>
        <th width="10%" align="center">Usr.Cre.</th>
        <th width="10%" align="center">Fec.Cre.</th>
        <th width="15%" align="center">Opciones</th>
      </tr>
      <? if(count($a_ObjectBean)>0){ ?>
      <? 
      foreach ($a_ObjectBean as $iKey => $o_objBean)
      { 
          $i_Idpedido = $o_objBean->getIdpedido();
      	$o_ClienteBeantemp = new ClienteBean();
      	$o_ClienteBeantemp->setIdCliente($o_objBean->getIdCliente());
      	$o_ClienteBLtemp = new ClienteBL();
      	$o_ClienteBean = $o_ClienteBLtemp->busquedaCliente( $o_ClienteBeantemp );
        //echo "<pre>"; print_r( get_class_methods( $o_ClienteBean[0] ) ); echo "</pre>";
      ?>
      <tr>
        <td align="center"><?=$iKey+1?></td>
        <td align="center"><a style="cursor:pointer;text-decoration:underline;color:#00f;" href="#" onclick="objMainTab.modalDialog('<?php echo buildUrlComplet( 'op.php/ajax/requestPdo', 's_TypeRequest=infopopupprestamo&i_idcliente='.$o_objBean->getIdCliente().'&s_tipo=' )?>',{width:700,height:400})"><?php echo $o_ClienteBean[0]->getIdCliente()?></a></td>
		<td align="left"><?php echo $o_ClienteBean[0]->getNombreCompleto() ?></td>
        <td align="center"><?php echo $o_objBean->getidpedido() ?></td>
        <td align="center"><?php echo $o_objBean->getFechaTransaccion() ?></td>
        <td align="center"><?php echo $o_objBean->getHoraAtencion() ?></td>
        <td align="center"><?php echo number_format( $o_objBean->getMonto(), 2 ) ?></td>
        <td align="center"><?php echo number_format( $o_objBean->getMontoFinal(), 2 ) ?></td>
        <td align="center"><?php if($o_objBean->getEstado()== 'P') echo "Pendiente";elseif($o_objBean->getEstado()== 'A') echo "Aceptado"; elseif($o_objBean->getEstado()== 'R') echo "Rechazado";?></td>
        <td align="center"><?php echo $o_objBean->getUsuarioCreacion() ?></td>
        <td align="center"><?php echo $o_objBean->getFechaCreacion() ?></td>
        <td align="center" valign="top">
        	<img src="/images/common/buttons/btnDisplay.gif" style="cursor:pointer;" onclick="objMainTab.modalDialog('<?=buildUrl('ped/show', "block=001&i_IdClie=".$o_objBean->getIdCliente()."&i_Id=".$i_Idpedido);?>',{height:450})"/>
        	<?php if($o_objBean->getEstado()== 'P' && myUser::getUser()->getRoleId()=="sys.ope"){ ?>
           			<img src="/images/common/buttons/btnEdit.gif" style="cursor:pointer;" onclick="objMainTab.modalDialog('<?=buildUrl('ped/addedit', "block=001&i_IdClie=".$o_objBean->getIdCliente()."&i_Id=".$i_Idpedido);?>',{height:450})"/>
        	<?php }
        		if(myUser::getUser()->getRoleId()=="sys.res"){ 
        			if($o_objBean->getEstado()== 'P'){?>
        			<input type="image" name="Editar Pedido" title = "Editar Pedido" src="/images/common/buttons/btnEdit.gif" onclick="objMainTab.modalDialog('<?=buildUrl('ped/edit', "block=001&i_IdClie=".$o_objBean->getIdCliente()."&i_Id=".$o_objBean->getIdpedido());?>',{height:460})">&nbsp;
        			<?php }?>
        			<img src="/images/common/buttons/btnKey.gif" style="cursor:pointer;" onclick="objMainTab.modalDialog('<?=buildUrl('ped/verificar', "block=001&i_IdClie=".$o_objBean->getIdCliente()."&i_Id=".$i_Idpedido);?>',{height:450})"/>	
        	<?php 
        		}
        	
        	?>
			<?php if($o_objBean->getEstado()== 'P'){ ?>
				
           		<img src="/images/common/buttons/btnClose.gif" style="cursor:pointer;" onclick="eliminarCabecera( '<?php echo $i_Idpedido ?>' );"/>
           <?php 
        		}
        	
        	?>
        </td>
      </tr>
      
      <? } ?>
      <tr>
        <td align="center"></td>
        <td align="center"></td>
		<td align="left"></td>
        <td align="center"></td>
        <td align="center"></td>
        <td align="center"></td>
        <td align="right"><b><?php echo number_format( $a_f_suma['Monto'], 2 ) ?></b></td>
        <td align="right"><?php echo number_format( $a_f_suma['MontoFinal'], 2 ) ?></td>
       </tr>
      <? }else{ ?>
      <tr>
        <td colspan="9" align="center">No se produjo resultado</td>
      </tr>
      <? } ?>
    </table>
  </td>
</tr>
<tr>
  <td>Total Registros: <?=count($a_ObjectBean)?></td>
</tr>
</table>